Skip to main content
GET
/
api2
/
v1
/
quotes
/
{quoteUid}
Get quote
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/quotes/{quoteUid} \
  --header 'Authorization: <api-key>'
{
  "analyseUid": "<string>",
  "billingUnit": "Character",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "role": "SYS_ADMIN",
    "uid": "<string>",
    "userName": "<string>"
  },
  "currency": "<string>",
  "customerEmail": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "editable": true,
  "id": 123,
  "innerId": 123,
  "name": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "role": "SYS_ADMIN",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "isDefault": true,
    "name": "<string>",
    "uid": "<string>"
  },
  "outdated": true,
  "priceList": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "provider": {
    "type": "<string>",
    "id": "<string>",
    "uid": "<string>"
  },
  "quoteType": "BUYER",
  "status": "APPROVED",
  "totalPrice": 123,
  "uid": "<string>",
  "workflowStepList": [
    {
      "id": "<string>",
      "lqaEnabled": true,
      "name": "<string>",
      "order": 123,
      "uid": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

quoteUid
string
required

Response

successful operation

analyseUid
string
billingUnit
enum<string>
Available options:
Character,
Word,
Page,
Hour
createdBy
object
currency
string
customerEmail
string
dateCreated
string<date-time>
editable
boolean
id
integer<int64>
innerId
integer<int32>
name
string
netRateScheme
object
outdated
boolean
priceList
object
provider
object
quoteType
enum<string>
Available options:
BUYER,
PROVIDER
status
enum<string>
Available options:
APPROVED,
DECLINED,
DRAFT,
FOR_APPROVAL,
NEW
totalPrice
number<double>
uid
string
workflowStepList
object[]